          Extract the coordinate transform from a crate.

get_transform(crate, name)

Argument
Description
crate
A Crate object such as a TABLECrate or IMAGECrate
name
The name of the transformation (e.g. 'EQPOS'); case insensitive.

The get_transform command extracts the transform with the given name from the input crate. The name check is case-insensitive.

>>> cr = read_file("evt2.fits")
>>> trans = get_transform(cr, "EQPOS")
>>> a = [[4096.5, 4096.5]]
>>> b = trans.apply(a))

Here we use the EQPOS transform to convert the SKY coordinate (4096.5,4096.5) for this observation, creating

>>> print(b) [[ 8.80739407 -43.35678949]]

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013